Package com.sap.ai.sdk.grounding.model

# Class RetrievalSearchInputPostProcessingInner

java.lang.Object
com.sap.ai.sdk.grounding.model.RetrievalSearchInputPostProcessingInner

public class RetrievalSearchInputPostProcessingInner extends Object
RetrievalSearchInputPostProcessingInner

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RetrievalSearchInputPostProcessingInner.Builder`
  Builder helper class.
  `static interface`
  `RetrievalSearchInputPostProcessingInner.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RetrievalSearchInputPostProcessingInner()`
  Default constructor for RetrievalSearchInputPostProcessingInner.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RetrievalSearchInputPostProcessingInner`
  `addInputsItem(RetrievalSearchInputPostProcessingInnerInputsInner inputsItem)`
  Add one inputs instance to this `RetrievalSearchInputPostProcessingInner`.
  `static RetrievalSearchInputPostProcessingInner.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RetrievalSearchInputPostProcessingInner` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RetrievalSearchInputPostProcessingInner`.
  `String`
  `getId()`
  New ID for each PostProcessingOperation.
  `List<RetrievalSearchInputPostProcessingInnerInputsInner>`
  `getInputs()`
  Get inputs
  `Integer`
  `getMaxChunkCount()`
  Maximum number of chunks to be retained in final PerSearchFilterResult.
  `RetrievalSearchInputPostProcessingInnerStrategy`
  `getStrategy()`
  Get strategy
  `int`
  `hashCode()`
  `RetrievalSearchInputPostProcessingInner`
  `id(String id)`
  Set the id of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
  `RetrievalSearchInputPostProcessingInner`
  `inputs(List<RetrievalSearchInputPostProcessingInnerInputsInner> inputs)`
  Set the inputs of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
  `RetrievalSearchInputPostProcessingInner`
  `maxChunkCount(Integer maxChunkCount)`
  Set the maxChunkCount of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RetrievalSearchInputPostProcessingInner` instance.
  `void`
  `setId(String id)`
  Set the id of this `RetrievalSearchInputPostProcessingInner` instance.
  `void`
  `setInputs(List<RetrievalSearchInputPostProcessingInnerInputsInner> inputs)`
  Set the inputs of this `RetrievalSearchInputPostProcessingInner` instance.
  `void`
  `setMaxChunkCount(Integer maxChunkCount)`
  Set the maxChunkCount of this `RetrievalSearchInputPostProcessingInner` instance.
  `void`
  `setStrategy(RetrievalSearchInputPostProcessingInnerStrategy strategy)`
  Set the strategy of this `RetrievalSearchInputPostProcessingInner` instance.
  `RetrievalSearchInputPostProcessingInner`
  `strategy(RetrievalSearchInputPostProcessingInnerStrategy strategy)`
  Set the strategy of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RetrievalSearchInputPostProcessingInner` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RetrievalSearchInputPostProcessingInner

    protected RetrievalSearchInputPostProcessingInner()
    Default constructor for RetrievalSearchInputPostProcessingInner.

- ## Method Details

  - ### id

    @Nonnull public RetrievalSearchInputPostProcessingInner id(@Nullable String id)
    Set the id of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
    Parameters:
      `id` - New ID for each PostProcessingOperation.
    Returns:
      The same instance of this `RetrievalSearchInputPostProcessingInner` class

  - ### getId

    @Nullable public String getId()
    New ID for each PostProcessingOperation.
    Returns:
      id The id of this `RetrievalSearchInputPostProcessingInner` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `RetrievalSearchInputPostProcessingInner` instance.
    Parameters:
      `id` - New ID for each PostProcessingOperation.

  - ### maxChunkCount

    @Nonnull public RetrievalSearchInputPostProcessingInner maxChunkCount(@Nullable Integer maxChunkCount)
    Set the maxChunkCount of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
    Parameters:
      `maxChunkCount` - Maximum number of chunks to be retained in final PerSearchFilterResult. Minimum: 0 Maximum: 10000000
    Returns:
      The same instance of this `RetrievalSearchInputPostProcessingInner` class

  - ### getMaxChunkCount

    @Nullable public Integer getMaxChunkCount()
    Maximum number of chunks to be retained in final PerSearchFilterResult. minimum: 0 maximum: 10000000
    Returns:
      maxChunkCount The maxChunkCount of this `RetrievalSearchInputPostProcessingInner` instance.

  - ### setMaxChunkCount

    public void setMaxChunkCount(@Nullable Integer maxChunkCount)
    Set the maxChunkCount of this `RetrievalSearchInputPostProcessingInner` instance.
    Parameters:
      `maxChunkCount` - Maximum number of chunks to be retained in final PerSearchFilterResult. Minimum: 0 Maximum: 10000000

  - ### strategy

    @Nonnull public RetrievalSearchInputPostProcessingInner strategy(@Nonnull RetrievalSearchInputPostProcessingInnerStrategy strategy)
    Set the strategy of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
    Parameters:
      `strategy` - The strategy of this `RetrievalSearchInputPostProcessingInner`
    Returns:
      The same instance of this `RetrievalSearchInputPostProcessingInner` class

  - ### getStrategy

    @Nonnull public RetrievalSearchInputPostProcessingInnerStrategy getStrategy()
    Get strategy
    Returns:
      strategy The strategy of this `RetrievalSearchInputPostProcessingInner` instance.

  - ### setStrategy

    public void setStrategy(@Nonnull RetrievalSearchInputPostProcessingInnerStrategy strategy)
    Set the strategy of this `RetrievalSearchInputPostProcessingInner` instance.
    Parameters:
      `strategy` - The strategy of this `RetrievalSearchInputPostProcessingInner`

  - ### inputs

    @Nonnull public RetrievalSearchInputPostProcessingInner inputs(@Nonnull List<RetrievalSearchInputPostProcessingInnerInputsInner> inputs)
    Set the inputs of this `RetrievalSearchInputPostProcessingInner` instance and return the same instance.
    Parameters:
      `inputs` - The inputs of this `RetrievalSearchInputPostProcessingInner`
    Returns:
      The same instance of this `RetrievalSearchInputPostProcessingInner` class

  - ### addInputsItem

    @Nonnull public RetrievalSearchInputPostProcessingInner addInputsItem(@Nonnull RetrievalSearchInputPostProcessingInnerInputsInner inputsItem)
    Add one inputs instance to this `RetrievalSearchInputPostProcessingInner`.
    Parameters:
      `inputsItem` - The inputs that should be added
    Returns:
      The same instance of type `RetrievalSearchInputPostProcessingInner`

  - ### getInputs

    @Nonnull public List<RetrievalSearchInputPostProcessingInnerInputsInner> getInputs()
    Get inputs
    Returns:
      inputs The inputs of this `RetrievalSearchInputPostProcessingInner` instance.

  - ### setInputs

    public void setInputs(@Nonnull List<RetrievalSearchInputPostProcessingInnerInputsInner> inputs)
    Set the inputs of this `RetrievalSearchInputPostProcessingInner` instance.
    Parameters:
      `inputs` - The inputs of this `RetrievalSearchInputPostProcessingInner`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RetrievalSearchInputPostProcessingInner`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RetrievalSearchInputPostProcessingInner` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RetrievalSearchInputPostProcessingInner` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RetrievalSearchInputPostProcessingInner` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RetrievalSearchInputPostProcessingInner.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RetrievalSearchInputPostProcessingInner` instance with all required arguments.